| Elektra 0.11.0

Classes | Namespaces
key.hpp File Reference
`#include <cstdarg>`
`#include <cstdint>`
`#include <cstring>`
`#include <functional>`
`#include <locale>`
`#include <sstream>`
`#include <string>`
`#include <keyexcept.hpp>`
`#include <kdb.h>`

## Classes
class | kdb::Key
| Key is an essential class that encapsulates key name , value and metainfo . More...
class | kdb::NameIterator
| For C++ forward Iteration over Names. More...
class | kdb::NameReverseIterator
| For C++ reverse Iteration over Names. More...
struct | std::hash< kdb::Key >
| Support for putting Key in a hash. More...

## Namespaces
namespace | kdb
| This is the main namespace for the C++ binding and libraries.
namespace | std
| STL namespace.

## Detailed Description

Copyright
  BSD License (see LICENSE.md or https://www.libelektra.org)